using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.IO;

namespace Total_Sales
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void calculateButton_Click(object sender, EventArgs e)
        {
            try
            {
                // Zmienne. 
                decimal sales;        // Ta zmienna przechowuje wielkość sprzedaży w danym dniu. 
                decimal total = 0m;   // Zmienna akumulatora zainicjowana wraz z wartością 0.
                
                // Zadeklarowanie zmiennej StreamReader. 
                StreamReader inputFile;
                
                // Otworzenie pliku i pobranie obiektu StreamReader. 
                inputFile = File.OpenText("Sales.txt");
                
                // Odczytanie zawartości pliku. 
                while (!inputFile.EndOfStream)
                {
                    // Pobranie wielkości sprzedaży w danym dniu. 
                    sales = decimal.Parse(inputFile.ReadLine());
                    
                    // Dodanie pobranej wartości do zmiennej akumulatora. 
                    total += sales;
                }
                
                // Zamknięcie pliku. 
                inputFile.Close();
                
                // Wyświetlenie obliczonej sumy bieżącej. 
                totalLabel.Text = total.ToString("C");
                
            }
            catch (Exception ex)
            {
                // Wyświetlenie komunikatu błędu. 
                MessageBox.Show(ex.Message);
            }
        }

        private void exitButton_Click(object sender, EventArgs e)
        {
            // Zamknięcie formularza. 
            this.Close();
        }
    }
}
